Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359799 - [abrt] gvfs: __strcmp_sse2_unaligned(): gvfsd-dnssd killed by SIGSEGV
Summary: [abrt] gvfs: __strcmp_sse2_unaligned(): gvfsd-dnssd killed by SIGSEGV
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ee08be1b6e5d685fb0067f8abbf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 13:08 UTC by Nils Philippsen
Modified: 2016-11-25 09:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 12:08:44 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: cgroup (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: core_backtrace (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: dso_list (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: environ (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: exploitable (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: limits (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: maps (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: mountinfo (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: namespaces (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: open_fds (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: proc_pid_status (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details
File: var_log_messages (deleted)
2016-07-25 13:08 UTC, Nils Philippsen
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 631023 None None None 2016-07-29 12:08:44 UTC

Description Nils Philippsen 2016-07-25 13:08:23 UTC
Description of problem:
This is a background process, no idea how it happened.

Version-Release number of selected component:
gvfs-1.28.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-dnssd --spawner :1.5 /org/gtk/gvfs/exec_spaw/19
crash_function: __strcmp_sse2_unaligned
executable:     /usr/libexec/gvfsd-dnssd
global_pid:     5871
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:31
 #1 lookup_link_file_by_name_and_type at gvfsbackenddnssd.c:384
 #2 resolve_callback at gvfsbackenddnssd.c:577
 #3 avahi_service_resolver_event at resolver.c:146
 #4 filter_func at client.c:256
 #6 dispatch_timeout_callback at ../avahi-common/dbus-watch-glue.c:105
 #7 start_timeout_callback at glib-watch.c:252
 #8 dispatch_func at glib-watch.c:331
 #13 daemon_main at daemon-main.c:398

Potential duplicate: bug 1282663

Comment 1 Nils Philippsen 2016-07-25 13:08:29 UTC
Created attachment 1183791 [details]
File: backtrace

Comment 2 Nils Philippsen 2016-07-25 13:08:30 UTC
Created attachment 1183792 [details]
File: cgroup

Comment 3 Nils Philippsen 2016-07-25 13:08:31 UTC
Created attachment 1183793 [details]
File: core_backtrace

Comment 4 Nils Philippsen 2016-07-25 13:08:32 UTC
Created attachment 1183794 [details]
File: dso_list

Comment 5 Nils Philippsen 2016-07-25 13:08:34 UTC
Created attachment 1183795 [details]
File: environ

Comment 6 Nils Philippsen 2016-07-25 13:08:35 UTC
Created attachment 1183796 [details]
File: exploitable

Comment 7 Nils Philippsen 2016-07-25 13:08:37 UTC
Created attachment 1183797 [details]
File: limits

Comment 8 Nils Philippsen 2016-07-25 13:08:38 UTC
Created attachment 1183798 [details]
File: maps

Comment 9 Nils Philippsen 2016-07-25 13:08:40 UTC
Created attachment 1183799 [details]
File: mountinfo

Comment 10 Nils Philippsen 2016-07-25 13:08:41 UTC
Created attachment 1183800 [details]
File: namespaces

Comment 11 Nils Philippsen 2016-07-25 13:08:42 UTC
Created attachment 1183801 [details]
File: open_fds

Comment 12 Nils Philippsen 2016-07-25 13:08:44 UTC
Created attachment 1183802 [details]
File: proc_pid_status

Comment 13 Nils Philippsen 2016-07-25 13:08:45 UTC
Created attachment 1183803 [details]
File: var_log_messages

Comment 14 Ondrej Holy 2016-07-29 12:08:44 UTC
Thanks for your bug report. I've pushed fix in upstream, which should be part of next gvfs update...


Note You need to log in before you can comment on or make changes to this bug.